Skip to main content
GET
/
shared-knowledge
/
sources
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "source_type": "text",
    "source_url": "<string>",
    "content_hash": "<string>",
    "status": "pending",
    "error_message": "<string>",
    "created_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collection_id
string<uuid>
required

Collection ID to list sources from

Response

Source list

id
string<uuid>
collection_id
string<uuid>
title
string
source_type
enum<string>
Available options:
text,
markdown,
web_page
source_url
string | null
content_hash
string
status
enum<string>
Available options:
pending,
active,
error,
archived
error_message
string | null
created_by
string
created_at
string<date-time>
updated_at
string<date-time>